package com.qima.gift.appcommon.account.authc;

import com.qima.gift.appcommon.account.AccountConst;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 账户认证接口
 * @author King
 * @since 2023/6/4 18:33
 */
public interface IAccountAuthc {

    /**
     * 认证
     * @param custom
     * @param encode
     * @return
     */
    Authentication doAuth(Authentication custom,IAuthEncode encode);

    /**
     * 是否支持本凭证
     * @return
     */
    AccountConst.AccountAuthTypeEnum support();

}
