package com.qima.gift.appcommon.security.satoken;

import cn.dev33.satoken.stp.StpInterface;
import com.google.common.collect.Lists;
import com.qima.gift.appcommon.account.AccountConst;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/20 14:57
 */
@Component
@Scope(proxyMode = ScopedProxyMode.NO)
public class SaTokenAuthzImpl implements StpInterface {
    @Override
    public List<String> getPermissionList(Object loginId, String loginType) {
        List<String> r = Lists.newArrayList();
        return r;
    }

    @Override
    public List<String> getRoleList(Object loginId, String loginType) {
        List<String> r = Lists.newArrayList();
        if(AccountConst.ACCOUNT_SUPER_ID.equals(loginId)) {
            r.add("admin");
        } else {
            r.add("merchant");
        }
        return r;
    }
}
