package com.qima.gift;

import com.qima.gift.common.utils.SpringContextUtils;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.ComponentScans;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/5/31 17:29
 */
@SpringBootApplication(scanBasePackages = {"com.qima.gift"})
@EnableWebMvc
@EnableScheduling
public class GiftApplication {

    public static void main(String[] args) {
        ApplicationContext a = SpringApplication.run(GiftApplication.class,args);
        SpringContextUtils.setAc(a);
    }
}
