package com.qima.gift.appcommon.typehandler;

import cn.hutool.core.annotation.Link;
import com.fasterxml.jackson.databind.JsonNode;
import com.qima.gift.common.utils.JsonUtils;
import io.swagger.v3.core.util.Json;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import java.util.LinkedHashMap;

/**
 * <p>
 * Copyright: Copyright (C) 2022 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2022/9/30 15:13
 */
public class JObject<E> {

    /** e的类名 */
    private Class c;

    private LinkedHashMap n;

    private E e;

    public JObject(){}

    public JObject(E e){
        setE(e);
    }

    public Class getC() {
        return c;
    }

    public void setC(Class c) {
        this.c = c;
    }

    public E getE() {
        if(e != null && c!= null && !c.isAssignableFrom(e.getClass())) {
            n = (LinkedHashMap) e;
            e = (E)JsonUtils.toObject(JsonUtils.toJson(n) ,c);
        }
        return e;
    }

    public void setE(E e) {
        if(c == null) {
            c = e.getClass();
        }
        this.e = e;
    }
}
